import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const auctionGetAuctions = createAsyncThunk(
  "AUCTION_GET_AUCTIONS",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get(`Poultry_Request/?type=auction`);
    dispatch(LOADING_END());
    return { data, status };
  }
);
